# StartupStepTag class abstract

Attaches a static key/value `tag` to this step.

Tags provide contextual metadata like:

- `pod.name`: `dataSource`
- `phase`: `initialization`

### Example:

    step.tag('pod.name', value: 'userService');
    step.tag('pod.name', supplied: () => 'userService');

Mixed-in types
  - EqualsAndHashCode
  - ToString

## Constructors

StartupStepTag.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
key → String
  The key associated with this tag, such as `pod.name`, `phase`, etc.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
value → String
  The value associated with this tag.
  no setter

## Methods

equalizedProperties() → List<Object?>
  Mixin-style contract for value-based equality, `hashCode`, and `toString`.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited
toStringOptions() → ToStringOptions
  override

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited